commit:     29176bd93f79a06719434b74974593417d08a598
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  8 17:30:36 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 10:32:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29176bd9

app-admin/entr: version bump.

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-admin/entr/Manifest        |  1 +
 app-admin/entr/entr-4.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-admin/entr/Manifest b/app-admin/entr/Manifest
index ab0bfda6c86..e42d92e9a09 100644
--- a/app-admin/entr/Manifest
+++ b/app-admin/entr/Manifest
@@ -1 +1,2 @@
 DIST entr-3.9.tar.gz 24554 BLAKE2B 
b901041d50acf3f7a29c93c84d46ee42a35878dd30e2e5da94b053acb8d38556d5bfde69d39b4520ee81121ba6ff0fabffeaeb0c33718302c26b517992776fde
 SHA512 
e0d58b7f4dc20ba9cfb12a165172817dfd647e859e2133b01b59427f9bb9612ee5b8e8f6563f31cc15b57251e60b2cb639c764f65d6daeb4456ecbccc7b39c12
+DIST entr-4.0.tar.gz 24758 BLAKE2B 
6d57cb93d55bb362b8e771745c9333a5a5eaa156f36a7c9e7318d94f0056fc98b2071bcea7fd33b68ac1dc1d5332fc849e0ea89bc2582196acd51e1490fce96e
 SHA512 
d803c27441448374a866636e0e592a8395488e162e2e8c031aafec3457d10041dc52e10d06cc1e209cd86f69ca021171ef105056206b9afe603a89958eef2707

diff --git a/app-admin/entr/entr-4.0.ebuild b/app-admin/entr/entr-4.0.ebuild
new file mode 100644
index 00000000000..829cf311603
--- /dev/null
+++ b/app-admin/entr/entr-4.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs vcs-snapshot
+
+DESCRIPTION="Run arbitrary commands when files change"
+HOMEPAGE="http://entrproject.org";
+SRC_URI="http://entrproject.org/code/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
+IUSE="test"
+
+src_configure() {
+       sh configure || die
+       sed -i -e 's#\(^PREFIX \).*#\1\?= /usr#' Makefile.bsd || die
+}
+
+src_compile() {
+       export CC=$(tc-getCC)
+       default
+}
+
+src_test() {
+       export CC=$(tc-getCC)
+       default
+}

Reply via email to